package com.ruoyi.ems.domain;

import java.sql.Time;
import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 储能计量-小时对象 adm_ems_elec_store_h
 *
 * @author ruoyi
 * @date 2024-08-09
 */
public class ElecStoreH extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    private Long id;

    /**
     * 园区代码
     */
    private String areaCode;

    @Excel(name = "园区名称")
    private String areaName;

    private String areaShortName;

    /**
     * 设施代码
     */
    @Excel(name = "设施代码")
    private String facsCode;

    @Excel(name = "设施名称")
    private String facsName;
    /**
     * 日期 yyyy-MM-dd
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期 yyyy-MM-dd", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /**
     * 时间 HH:mm:ss
     */
    @JsonFormat(pattern = "HH:mm:ss")
    @Excel(name = "时间 HH:mm:ss", width = 30, dateFormat = "HH:mm:ss")
    private Time time;

    /**
     * 时间序列
     */
    private Integer timeIndex = 1;

    /**
     * 充电电量 （kW-h）
     */
    @Excel(name = "充电电量")
    private Double chargeElecQuantity;

    /**
     * 放电电量（kW-h）
     */
    @Excel(name = "放电电量")
    private Double dischargeElecQuantity;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaShortName() {
        return areaShortName;
    }

    public void setAreaShortName(String areaShortName) {
        this.areaShortName = areaShortName;
    }

    public String getFacsCode() {
        return facsCode;
    }

    public void setFacsCode(String facsCode) {
        this.facsCode = facsCode;
    }

    public String getFacsName() {
        return facsName;
    }

    public void setFacsName(String facsName) {
        this.facsName = facsName;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Time getTime() {
        return time;
    }

    public void setTime(Time time) {
        this.time = time;
    }

    public Integer getTimeIndex() {
        return timeIndex;
    }

    public void setTimeIndex(Integer timeIndex) {
        this.timeIndex = timeIndex;
    }

    public Double getChargeElecQuantity() {
        return chargeElecQuantity;
    }

    public void setChargeElecQuantity(Double chargeElecQuantity) {
        this.chargeElecQuantity = chargeElecQuantity;
    }

    public Double getDischargeElecQuantity() {
        return dischargeElecQuantity;
    }

    public void setDischargeElecQuantity(Double dischargeElecQuantity) {
        this.dischargeElecQuantity = dischargeElecQuantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("areaCode", getAreaCode()).append("facsCode", getFacsCode()).append("date", getDate()).append("time", getTime()).append("timeIndex", getTimeIndex()).append("chargeElecQuantity", getChargeElecQuantity()).append("dischargeElecQuantity", getDischargeElecQuantity()).toString();
    }
}
